Subject: Re: [PATCH] install meson for Documentation job

From: Patrick Steinhardt <[email-masked]>
Date: Wed, 19 Mar 2025 10:24:06 +0100

On Tue, Mar 18, 2025 at 01:40:07PM -0700, Junio C Hamano wrote:
> Karthik Nayak <[email-masked]> writes:
> 
> > Weird. From the looks of
> > https://github.com/git/git/actions/runs/13867157977/job/38808418127, it
> > seems like the '$distro' variable in 'ci/install-dependencies.sh' is not
> > being correctly initialized. We can see this in the logs of the CI:
> >
> >   CI setup via install-dependencies.sh
> >     + set -e
> >     + export TERM=dumb
> >     + export MAKEFLAGS=
> >     + test true = true
> >     + CI_TYPE=github-actions
> >     + CI_BRANCH=refs/heads/seen
> >     + CI_COMMIT=d5389e37e21d864f40f4167280db799ffe8983c2
> >     + echo Linux
> >     + tr A-Z a-z
> >     + CI_OS_NAME=linux
> >     + test macos != linux
> >     + CI_REPO_SLUG=git/git
> >     + CI_JOB_ID=13867157977
> >     + CC=gcc
> >     + DONT_SKIP_TAGS=t
> >     + cache_dir=/home/runner/none
> >     + GIT_TEST_OPTS=--github-workflow-markup
> >     + JOBS=10
> >     + echo
> >     + tr : -
> >     + distro=
> >     ...
> 
> Nice digging.

Thanks all for discovering and debugging this, I somehow missed this
thread and haven't been able to keep up with the mailing list for the
last couple days.

I see 4451a164e5a (install meson for Documentation job, 2025-03-14) has
been merged, but as far as I understand we also have to take Karthik's
patch to fix installing dependencies? In case I'm correct, do you plan
to send this as a proper patch, Karthik?

Patrick